### Function

# GtkTreeViewRowSeparatorFunc

#### Declaration

    gboolean
    (* GtkTreeViewRowSeparatorFunc) (
      GtkTreeModel* model,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

Function type for determining whether the row pointed to by `iter` should be rendered as a separator. A common way to implement this is to have a boolean column in the model, whose values the `GtkTreeViewRowSeparatorFunc` returns.

#### Parameters

`model`

  Type: `GtkTreeModel`

  The `GtkTreeModel`

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter` pointing at a row in `model`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the row is a separator.